Package ghidra.util.database.spatial

# Enum Class Query.QueryInclusion

java.lang.Object
java.lang.Enum<Query.QueryInclusion>
ghidra.util.database.spatial.Query.QueryInclusion

All Implemented Interfaces:
  `Serializable`, `Comparable<Query.QueryInclusion>`, `Constable`

Enclosing interface:
  `Query<DS,NS>`

public static enum Query.QueryInclusion extends Enum<Query.QueryInclusion>
The result of testing a sub-tree for inclusion in a query

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  The query certainly includes all data in the sub-tree
  `NONE`
  The query certainly excludes all data in the sub-tree
  `SOME`
  The query may include some data in the sub-tree

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Query.QueryInclusion`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Query.QueryInclusion[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALL

    public static final Query.QueryInclusion ALL
    The query certainly includes all data in the sub-tree

  - ### SOME

    public static final Query.QueryInclusion SOME
    The query may include some data in the sub-tree

  - ### NONE

    public static final Query.QueryInclusion NONE
    The query certainly excludes all data in the sub-tree

- ## Method Details

  - ### values

    public static Query.QueryInclusion[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Query.QueryInclusion valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null